Delete data from a user's vault
delete/users/{fp_id}/vault
External ID
Request
Path parameters
fp_id·string
Body
delete_all·optional boolean
When true, deletes all data in the vault.
fields·optional array of strings
List of data identifiers to delete. For example, id.first_name, id.ssn4,
custom.account_id
Allowed values:
id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_idcustom.*investor_profile.employment_statusinvestor_profile.occupationinvestor_profile.employerinvestor_profile.annual_incomeinvestor_profile.net_worthinvestor_profile.investment_goalsinvestor_profile.risk_toleranceinvestor_profile.declarationsinvestor_profile.brokerage_firm_employerinvestor_profile.senior_executive_symbolsinvestor_profile.family_member_namesinvestor_profile.political_organizationinvestor_profile.funding_sourcesdocument.id_card.front.imagedocument.id_card.front.mime_typedocument.id_card.back.imageResponse
A key-value map of identifier to whether the identifier was successfully deleted in the vault<key>·string
Allowed values:
id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_idcustom.*investor_profile.employment_statusinvestor_profile.occupationinvestor_profile.employerinvestor_profile.annual_incomeinvestor_profile.net_worthinvestor_profile.investment_goalsinvestor_profile.risk_toleranceinvestor_profile.declarationsinvestor_profile.brokerage_firm_employerinvestor_profile.senior_executive_symbolsinvestor_profile.family_member_namesinvestor_profile.political_organizationinvestor_profile.funding_sourcesdocument.id_card.front.imagedocument.id_card.front.mime_typedocument.id_card.back.image<value>·boolean
DELETE /users/{fp_id}/vault
Response example
{
"id.first_name": true,
"id.last_name": false
}